/****************************************************************************

 This file is part of GLC-Player.
 Copyright (C) 2007-2008 Laurent Ribon (laumaya@users.sourceforge.net)
 Version 1.6.0, packaged on August 2008.

 http://www.glc-player.net

 GLC-Player is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLC-Player is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLC-Player; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*****************************************************************************/
//////////////////////////////////////////////////////////////////////
//! \class EditMeshDialog
/*! \brief EditMeshDialog : a dialog box for editing mesh*/
//////////////////////////////////////////////////////////////////////


#ifndef EDITMESHDIALOG_H_
#define EDITMESHDIALOG_H_

#include <QDialog>
#include "ui_EditMeshDialog.h"

class GLC_Instance;
class QGLContext;

class EditMeshDialog : public QDialog, private Ui::EditMeshDialog
{
	Q_OBJECT
	
public:
	EditMeshDialog(const QGLContext*, GLC_Instance*, QWidget *parent = 0);
	~EditMeshDialog();
		
//////////////////////////////////////////////////////////////////////
/*! \name Private slots Functions*/
//@{
//////////////////////////////////////////////////////////////////////		    
private slots:
	//! Accept modifications
	void accept();
//@}
		
//////////////////////////////////////////////////////////////////////
// Private members
//////////////////////////////////////////////////////////////////////		
private:
	GLC_Instance* m_pInstance;
	const QGLContext* m_pContext;
};

#endif /*EDITMESHDIALOG_H_*/
