/****************************************************************************

 This file is part of GLC-Player.
 Copyright (C) 2007-2008 Laurent Ribon (laumaya@users.sourceforge.net)
 Version 1.6.0, packaged on August 2008.

 http://www.glc-player.net

 GLC-Player is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 GLC-Player is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with GLC-Player; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

*****************************************************************************/

#ifndef OPENFILETHREAD_H_
#define OPENFILETHREAD_H_

#include <QtGui>
#include <GLC_Factory>

class GLC_Geometry;

class OpenFileThread : public QThread
{
	Q_OBJECT
public:
	OpenFileThread(GLC_Factory*);
	virtual ~OpenFileThread();
	
	GLC_World getWorld();
	QString getFileName() const;
	//
	void setOpenFile(QFile *);
	// Method which run when the thread is started
	void run();
	
	// return the error Msg
	QString getErrorMsg() const {return m_ErrorMsg;}
signals:
	void currentQuantum(int);
	void loadError();
	
private:	
	GLC_Factory *m_pFactory;
	QFile *m_pLoadingFile;
	GLC_World* m_pWorld;
	QString m_ErrorMsg;
};

#endif /*OPENFILETHREAD_H_*/
